Create a notification rule
curl --request POST \
--url https://api.statisfy.com/v1/notification-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"conditions": {
"field": "<string>",
"object": "<string>",
"value": null
},
"enabled": true,
"type": "meeting_insights"
}
'import requests
url = "https://api.statisfy.com/v1/notification-rules"
payload = {
"name": "<string>",
"recipients": {
"emails": ["<string>"],
"slack_channels": ["<string>"],
"teams_channels": ["<string>"]
},
"conditions": {
"field": "<string>",
"object": "<string>",
"value": None
},
"enabled": True,
"type": "meeting_insights"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
recipients: {
emails: ['<string>'],
slack_channels: ['<string>'],
teams_channels: ['<string>']
},
conditions: {field: '<string>', object: '<string>', value: null},
enabled: true,
type: 'meeting_insights'
})
};
fetch('https://api.statisfy.com/v1/notification-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/notification-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'recipients' => [
'emails' => [
'<string>'
],
'slack_channels' => [
'<string>'
],
'teams_channels' => [
'<string>'
]
],
'conditions' => [
'field' => '<string>',
'object' => '<string>',
'value' => null
],
'enabled' => true,
'type' => 'meeting_insights'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/notification-rules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n },\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"type\": \"meeting_insights\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/notification-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n },\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"type\": \"meeting_insights\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/notification-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n },\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"type\": \"meeting_insights\"\n}"
response = http.request(request)
puts response.read_body{
"conditions": {
"field": "<string>",
"object": "<string>",
"op": "<string>",
"value": "<unknown>"
},
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"type": "meeting_insights",
"updated_at": "2023-11-07T05:31:56Z"
}{
"conditions": {
"field": "<string>",
"object": "<string>",
"op": "<string>",
"value": "<unknown>"
},
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"type": "meeting_insights",
"updated_at": "2023-11-07T05:31:56Z"
}notification_rules
Create a notification rule
Creates a rule (201). Each email must be a workspace member’s, and each channel one Statisfy is in. Each condition’s field must be one the workspace has. A name another rule has is a 409.
POST
/
v1
/
notification-rules
Create a notification rule
curl --request POST \
--url https://api.statisfy.com/v1/notification-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"conditions": {
"field": "<string>",
"object": "<string>",
"value": null
},
"enabled": true,
"type": "meeting_insights"
}
'import requests
url = "https://api.statisfy.com/v1/notification-rules"
payload = {
"name": "<string>",
"recipients": {
"emails": ["<string>"],
"slack_channels": ["<string>"],
"teams_channels": ["<string>"]
},
"conditions": {
"field": "<string>",
"object": "<string>",
"value": None
},
"enabled": True,
"type": "meeting_insights"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
recipients: {
emails: ['<string>'],
slack_channels: ['<string>'],
teams_channels: ['<string>']
},
conditions: {field: '<string>', object: '<string>', value: null},
enabled: true,
type: 'meeting_insights'
})
};
fetch('https://api.statisfy.com/v1/notification-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/notification-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'recipients' => [
'emails' => [
'<string>'
],
'slack_channels' => [
'<string>'
],
'teams_channels' => [
'<string>'
]
],
'conditions' => [
'field' => '<string>',
'object' => '<string>',
'value' => null
],
'enabled' => true,
'type' => 'meeting_insights'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/notification-rules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n },\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"type\": \"meeting_insights\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/notification-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n },\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"type\": \"meeting_insights\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/notification-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n },\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"type\": \"meeting_insights\"\n}"
response = http.request(request)
puts response.read_body{
"conditions": {
"field": "<string>",
"object": "<string>",
"op": "<string>",
"value": "<unknown>"
},
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"type": "meeting_insights",
"updated_at": "2023-11-07T05:31:56Z"
}{
"conditions": {
"field": "<string>",
"object": "<string>",
"op": "<string>",
"value": "<unknown>"
},
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"type": "meeting_insights",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
Successful Response
Was this page helpful?